For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search

Search Assets

post

This searches for assets across the PDC that are available based on the provided search term and optional facets.

🚨 Note: Results are limited to 10,000 items.Please refrain your search using facets.

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Body
searchTermstringRequired
pagenumberOptionalDefault: 1
perPagenumberOptionalDefault: 30
Responses
200

Search results retrieved successfully

application/json

Search results retrieved successfully

statusintegerOptional

HTTP status code

Example: 200
post/api/public/v1/search
POST /api/public/v1/search HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 21

{
  "searchTerm": "test"
}
{
  "status": 200,
  "pageInfo": {
    "currentPage": 1,
    "perPage": 30,
    "totalMatchCount": 55593,
    "retrievableCount": 10000,
    "pageCount": 333
  },
  "data": [
    {
      "id": "a1b2c3d4",
      "name": "Patient Demographics",
      "description": "Basic patient demographic information",
      "index": "pdc_entities",
      "type": "FILE",
      "fqdn": "Resource/Folder/File/PatientDemographics",
      "style": {
        "color": "#ff9900",
        "icon": "UI Kit Icon"
      },
      "businessTerms": [
        {
          "termId": "123e4567-e89b-12d3-a456-426614174000",
          "name": "PII",
          "fqdn": "Customer/PII",
          "glossaryId": "123e4567-e89b-12d3-a456-426614174000"
        }
      ],
      "permissions": [
        "text"
      ],
      "properties": {
        "size": "2MB",
        "createdAt": "2025-01-01T00:00:00.000Z",
        "format": "CSV"
      }
    }
  ]
}

Search Facets

post

Retrieves available facets for search

Authorizations
AuthorizationstringRequired

Insert the JWT token here

Body
searchTermstringRequired
Responses
200

Search results retrieved successfully

application/json

Search results retrieved successfully

statusintegerOptional

HTTP status code

Example: 200
post/api/public/v1/search/facets
POST /api/public/v1/search/facets HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 21

{
  "searchTerm": "test"
}
{
  "status": 200,
  "data": [
    {
      "key": "index",
      "options": [
        {
          "name": "pdc_entities",
          "count": 10000,
          "value": "pdc_entities"
        }
      ]
    }
  ]
}

Last updated

Was this helpful?